<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1DefaultPlaneBoundedVolumeListSceneQuery.html">DefaultPlaneBoundedVolumeListSceneQuery</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::DefaultPlaneBoundedVolumeListSceneQuery Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1DefaultPlaneBoundedVolumeListSceneQuery.html">Ogre::DefaultPlaneBoundedVolumeListSceneQuery</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RegionSceneQuery.html#a1f8750081b57a70381bc6dd9fe663955">clearResults</a>(void)</td><td><a class="el" href="classOgre_1_1RegionSceneQuery.html">Ogre::RegionSceneQuery</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultPlaneBoundedVolumeListSceneQuery.html#a3aa0ae83ca7021ea278a5f152053c48a">DefaultPlaneBoundedVolumeListSceneQuery</a>(SceneManager *creator)</td><td><a class="el" href="classOgre_1_1DefaultPlaneBoundedVolumeListSceneQuery.html">Ogre::DefaultPlaneBoundedVolumeListSceneQuery</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultPlaneBoundedVolumeListSceneQuery.html#aa4e94ff73decaf0fa57ba229c4c5ad9e">execute</a>(SceneQueryListener *listener)</td><td><a class="el" href="classOgre_1_1DefaultPlaneBoundedVolumeListSceneQuery.html">Ogre::DefaultPlaneBoundedVolumeListSceneQuery</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RegionSceneQuery.html#a982dda57528c3a3ccaa4d577335ed87c">Ogre::PlaneBoundedVolumeListSceneQuery::execute</a>(void)</td><td><a class="el" href="classOgre_1_1RegionSceneQuery.html">Ogre::RegionSceneQuery</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RegionSceneQuery.html#ab8517e91c6e47e8062897002fcf841a7">getLastResults</a>(void) const </td><td><a class="el" href="classOgre_1_1RegionSceneQuery.html">Ogre::RegionSceneQuery</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneQuery.html#aa6fb367ec862186fba933d13295b366f">getQueryMask</a>(void) const </td><td><a class="el" href="classOgre_1_1SceneQuery.html">Ogre::SceneQuery</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneQuery.html#a13b381e390f4a38ae3c73cb4e42ef634">getQueryTypeMask</a>(void) const </td><td><a class="el" href="classOgre_1_1SceneQuery.html">Ogre::SceneQuery</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneQuery.html#ab900f61543657dcbab7d62245021a75f">getSupportedWorldFragmentTypes</a>(void) const </td><td><a class="el" href="classOgre_1_1SceneQuery.html">Ogre::SceneQuery</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PlaneBoundedVolumeListSceneQuery.html#ae758ecb22361ac8ef7c04cbe7f704a2f">getVolumes</a>() const </td><td><a class="el" href="classOgre_1_1PlaneBoundedVolumeListSceneQuery.html">Ogre::PlaneBoundedVolumeListSceneQuery</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneQuery.html#afa48a4dec3b1603e3c579526582a69cb">getWorldFragmentType</a>(void) const </td><td><a class="el" href="classOgre_1_1SceneQuery.html">Ogre::SceneQuery</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RegionSceneQuery.html#acf71b48a7b75f0a13eeb49161fb26b9f">mLastResult</a></td><td><a class="el" href="classOgre_1_1RegionSceneQuery.html">Ogre::RegionSceneQuery</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneQuery.html#a36c06292c148746a8950b5c3c60b63a7">mParentSceneMgr</a></td><td><a class="el" href="classOgre_1_1SceneQuery.html">Ogre::SceneQuery</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneQuery.html#a1ab71f92378d94fc42b48c7bf8d9b5a0">mQueryMask</a></td><td><a class="el" href="classOgre_1_1SceneQuery.html">Ogre::SceneQuery</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneQuery.html#ab6bea8046f722f02c27b0c0de794f13d">mQueryTypeMask</a></td><td><a class="el" href="classOgre_1_1SceneQuery.html">Ogre::SceneQuery</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneQuery.html#aa1ad40080bc4490f795ff8fb8a4edf4a">mSupportedWorldFragments</a></td><td><a class="el" href="classOgre_1_1SceneQuery.html">Ogre::SceneQuery</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PlaneBoundedVolumeListSceneQuery.html#a3c9e7972e74e08c1743683d9d288dfd9">mVolumes</a></td><td><a class="el" href="classOgre_1_1PlaneBoundedVolumeListSceneQuery.html">Ogre::PlaneBoundedVolumeListSceneQuery</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneQuery.html#a9cef909c3f78d2e9f3ef44ca8c2cfdaa">mWorldFragmentType</a></td><td><a class="el" href="classOgre_1_1SceneQuery.html">Ogre::SceneQuery</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PlaneBoundedVolumeListSceneQuery.html#ac7f81d455b20245603c5d51f4b00ea90">PlaneBoundedVolumeListSceneQuery</a>(SceneManager *mgr)</td><td><a class="el" href="classOgre_1_1PlaneBoundedVolumeListSceneQuery.html">Ogre::PlaneBoundedVolumeListSceneQuery</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RegionSceneQuery.html#a49641297f4affe82b8e9f8b9ab3ff9f4">queryResult</a>(MovableObject *first)</td><td><a class="el" href="classOgre_1_1RegionSceneQuery.html">Ogre::RegionSceneQuery</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RegionSceneQuery.html#ae52b991bb3e6ecdb688c3d06d245c468">queryResult</a>(SceneQuery::WorldFragment *fragment)</td><td><a class="el" href="classOgre_1_1RegionSceneQuery.html">Ogre::RegionSceneQuery</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RegionSceneQuery.html#addb9bb97762d4b2e860789da8b9dd3b5">RegionSceneQuery</a>(SceneManager *mgr)</td><td><a class="el" href="classOgre_1_1RegionSceneQuery.html">Ogre::RegionSceneQuery</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneQuery.html#a672e5a9a95f02100b62cd4a6421525d6">SceneQuery</a>(SceneManager *mgr)</td><td><a class="el" href="classOgre_1_1SceneQuery.html">Ogre::SceneQuery</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneQuery.html#ad392a7fc0b338e5507540d3183f82cfb">setQueryMask</a>(uint32 mask)</td><td><a class="el" href="classOgre_1_1SceneQuery.html">Ogre::SceneQuery</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneQuery.html#abaca8d4d9b59a571e2d8e9a2cac7ce42">setQueryTypeMask</a>(uint32 mask)</td><td><a class="el" href="classOgre_1_1SceneQuery.html">Ogre::SceneQuery</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PlaneBoundedVolumeListSceneQuery.html#af82e119f79b5e4e91e599c27623977df">setVolumes</a>(const PlaneBoundedVolumeList &amp;volumes)</td><td><a class="el" href="classOgre_1_1PlaneBoundedVolumeListSceneQuery.html">Ogre::PlaneBoundedVolumeListSceneQuery</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneQuery.html#aec3aa0b8b16c41fae990ee78150f8d2a">setWorldFragmentType</a>(enum WorldFragmentType wft)</td><td><a class="el" href="classOgre_1_1SceneQuery.html">Ogre::SceneQuery</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneQuery.html#a0a75b5ed976da2f9023382f4c4514b3aadeefa0cc2dfd1ec783c2a266ea61f925">WFT_CUSTOM_GEOMETRY</a> enum value</td><td><a class="el" href="classOgre_1_1SceneQuery.html">Ogre::SceneQuery</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneQuery.html#a0a75b5ed976da2f9023382f4c4514b3aa6ed287fab168d451beb369009f0fd03b">WFT_NONE</a> enum value</td><td><a class="el" href="classOgre_1_1SceneQuery.html">Ogre::SceneQuery</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneQuery.html#a0a75b5ed976da2f9023382f4c4514b3aa667bbec7031e58ab244f9efc32056f38">WFT_PLANE_BOUNDED_REGION</a> enum value</td><td><a class="el" href="classOgre_1_1SceneQuery.html">Ogre::SceneQuery</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneQuery.html#a0a75b5ed976da2f9023382f4c4514b3aad498944c8c6b81d737c3ceee86881e8d">WFT_RENDER_OPERATION</a> enum value</td><td><a class="el" href="classOgre_1_1SceneQuery.html">Ogre::SceneQuery</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneQuery.html#a0a75b5ed976da2f9023382f4c4514b3aa018493b6c87271e0c8ba014f058cffd3">WFT_SINGLE_INTERSECTION</a> enum value</td><td><a class="el" href="classOgre_1_1SceneQuery.html">Ogre::SceneQuery</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneQuery.html#a0a75b5ed976da2f9023382f4c4514b3a">WorldFragmentType</a> enum name</td><td><a class="el" href="classOgre_1_1SceneQuery.html">Ogre::SceneQuery</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultPlaneBoundedVolumeListSceneQuery.html#a530f7cf03ff0240f2ce9806e09707364">~DefaultPlaneBoundedVolumeListSceneQuery</a>()</td><td><a class="el" href="classOgre_1_1DefaultPlaneBoundedVolumeListSceneQuery.html">Ogre::DefaultPlaneBoundedVolumeListSceneQuery</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PlaneBoundedVolumeListSceneQuery.html#a37f0a7cdf7bdb53bfa98c9e3c8541c41">~PlaneBoundedVolumeListSceneQuery</a>()</td><td><a class="el" href="classOgre_1_1PlaneBoundedVolumeListSceneQuery.html">Ogre::PlaneBoundedVolumeListSceneQuery</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RegionSceneQuery.html#aa67b834c723ab370195cd7c584610633">~RegionSceneQuery</a>()</td><td><a class="el" href="classOgre_1_1RegionSceneQuery.html">Ogre::RegionSceneQuery</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneQuery.html#a373ec5891d755ecaac409e2de1e5e54e">~SceneQuery</a>()</td><td><a class="el" href="classOgre_1_1SceneQuery.html">Ogre::SceneQuery</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneQueryListener.html#ad0ea5280ec1032a5170999eb7ae3fb2b">~SceneQueryListener</a>()</td><td><a class="el" href="classOgre_1_1SceneQueryListener.html">Ogre::SceneQueryListener</a></td><td><code> [virtual]</code></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:05
</p>
</body>
</html>
